#!/bin/sh
path_current=`pwd`
path_script=$(cd "$(dirname "$0")"; pwd)
path_home=$(cd ~; pwd)

user=$(whoami)
echo "current user: $user"
path_install="${path_script}"
echo "install path:${path_install}"
echo "ready to install desktop entry."

lnkName="WoVNCServer.desktop"
cd ${path_script}
echo "[Desktop Entry]" > ${lnkName}
echo "Terminal=false" >> ${lnkName}
echo "Categories=Application;Network;Security;Qt;" >> ${lnkName}
echo "Type=Application" >> ${lnkName}
echo "Exec=${path_install}/runapp.sh" >> ${lnkName}
echo "Name[en_US]=WoVNCServer" >> ${lnkName}
echo "Name=WoVNCServer" >> ${lnkName}
echo "GenericName=WoVNCServer Remote Assistant" >> ${lnkName}
echo "Icon[en_US]=${path_install}/wovncserver.png" >> ${lnkName}
echo "Icon=${path_install}/wovncserver.png" >> ${lnkName}
echo "Comment[en_US]=WoVNCServer Remote Assistant" >> ${lnkName}
chmod a+rx ${lnkName}

path_entry="${path_home}/.local/share/applications"
if [ "$user" = "root" ]; then
   path_entry="/usr/share/applications"   
fi

if [ -d $path_entry ]; then   
   cd $path_entry 
   rm -f ${lnkName}
   cp ${path_script}/${lnkName} ./ -f && chmod a+rx ${lnkName}
fi
echo "finish installation."
